//	Microworks ObjectMate 2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SBUTTON.CPP

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include "sfx\sbutton.h"

IMPLEMENT_STREAMABLE_FROM_BASE(TSFXButton, TButton);

//	constructor for a TSFXButton object.

TSFXButton::TSFXButton(TWindow*        parent,
					   int             id,
					   const char far* text,
					   int x, int y, int w, int h,
					   TModule*        module)
	:TButton(parent, id, text, x, y, w, h, FALSE, module)
{
}

//	constructor for a TSFXButton resource object

TSFXButton::TSFXButton(TWindow* parent,
					   int      resourceId,
					   TModule* module)
	:TButton(parent, resourceId, module)
{
}

char far*
TSFXButton::GetClassName()
{
	return "SFXBUTTON";
}

void
TSFXButton::SetButton(int newId)
{
	HandleMessage(WM_SETBITMAP, newId, 0);
}

void
TSFXButton::SetIcon(HICON newIcon)
{
	SendMessage(WM_SETBITMAP, (UINT)newIcon, 0);
}

void
TSFXButton::SetText(const char far* str)
{
	SetWindowText(str);
}

